from cohoba.Utils import load_icon

class PresenceIcons:
	def __init__(self):
		self.icons = {}
		
	def get_icon(self, presence):
		if presence not in self.icons:
			self.icons[presence] = (load_icon("presence-%s.png" % presence), load_icon("presence-%s-48.png" % presence))
		
		return self.icons[presence]

presence_icons = PresenceIcons()
def get_presence_icons(name=None):
	if name == None:
		return presence_icons
	else:
		return presence_icons.get_icon(name)
